* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    background-color: white;
    color: black;
    font-family: var(--font-primary);
}

.auth-container {
    margin: 0 auto;
    background: #fff;
    border-radius: var(--border-radius-small);
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);
    text-align: left;
    width: 40vw;
    min-width: 400px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    padding: 40px;
    margin-top: 40px;
}

.auth-container a {
    color: inherit;
    text-decoration: underline;
}

.back-btn {
    display: inline-block;
    margin: 10px 0;
}

.auth-title {
    font-size: var(--font-size-2xl);
    font-weight: var(--font-weight-bold);
}

.auth-subtitle {
    font-size: var(--font-size-xl);
    font-weight: var(--font-weight-bold);
    margin-bottom: 10px;
    cursor: pointer;
}

.btn-link {
    background: none;
    border: none;
    color: black;
    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
    text-decoration: underline;
    cursor: pointer;
    padding: 0;
}

.main-form {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.input-with-icon {
    position: relative;
    width: 100%;
}

.input-with-icon input {
    width: 100%;
    padding: 15px 45px;
    border: 1px solid rgba(0, 0, 0, 0.3);
    border-radius: var(--border-radius-small);
    font-size: var(--font-size-lg);
    font-family: var(--font-primary);
    outline: none;
    transition: border-color 0.5s;
}

.input-with-icon input:focus {
    border-color: black;
}

.icon-start {
    position: absolute;
    left: 15px;
    top: 50%;
    transform: translateY(-50%);
    color: rgba(0, 0, 0, 0.5);
}

.visibility-toggle {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    background: none;
    border: none;
    color: rgba(0, 0, 0, 0.5);
    cursor: pointer;
    font-size: var(--font-size-lg);
    padding: 5px;
}

.forgot-link {
    text-align: center;
    font-size: var(--font-size-lg);
    margin: 10px 0;
}

.auth-btn {
    padding: 10px;
    border-radius: var(--border-radius-small);
    cursor: pointer;
    font-family: var(--font-primary);
    font-size: var(--font-size-lg);
    font-weight: var(--font-weight-regular);
    transition: opacity 0.2s;
    background-color: black;
    color: white;
}

.divider {
    display: flex;
    align-items: center;
    text-align: center;
    margin: 15px 0;
    color: black;
    font-size: var(--font-size-md);
}

.divider::before,
.divider::after {
    content: '';
    flex: 1;
    border-bottom: 1px solid rgba(0, 0, 0, 0.5);
}

.divider:not(:empty)::before {
    margin-right: 15px;
}

.divider:not(:empty)::after {
    margin-left: 15px;
}

.social-auth {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.social-auth button {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    padding: 10px;
    border-radius: var(--border-radius-small);
    border: none;
    cursor: pointer;
    font-family: var(--font-primary);
    font-size: var(--font-size-lg);
    font-weight: var(--font-weight-regular);
    transition: opacity 0.2s;
    background-color: rgba(0, 0, 0, 0.1);
    color: black;
}

.auth-error,
.auth-success,
.field-error {
    color: red;
    font-size: var(--font-size-md);
    font-family: var(--font-primary);
    display: none;
}

.auth-success {
    color: green;
}

.visibility-hidden {
    display: none;
}

.auth-footer {
    margin-top: 40px;
    text-align: center;
    font-size: var(--font-size-md);
    color: black;
}

.auth-footer a {
    color: #000;
    font-weight: 600;
}

#loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.7);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.spinner {
    width: 40px;
    height: 40px;
    border: 4px solid white;
    border-top: 4px solid black;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@media (max-width: 768px) {
    .auth-container {
        border-radius: unset;
        box-shadow: unset;
        min-width: unset;
        width: 100vw;
        padding: 20px;
        margin-top: 0;
    }
}